<template>
    <div id="ancestor">
     <Parent :keys="keys" />
    </div>
   </template>
   
   <script>
   import Parent from '@/views/test/components/parent'
   
   export default {
    name: 'ancestor',
    components: {
     Parent
    },
    provide() {
     return {
      obj: this.obj
     }
    },
    data() {
     return {
      title: 'ancestor',
      keys: 1998,
      obj: {
       set: '我是爷爷组件传'
      }
     }
    }
   }
   </script>
   